Bug 1942671 - Microphone issues with Zoom and pipewire
Summary: Microphone issues with Zoom and pipewire
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pipewire
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Wim Taymans
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-24 17:57 UTC by Gurenko Alex
Modified: 2021-04-04 12:26 UTC (History)
5 users (show)

Fixed In Version: pipewire-0.3.24-4.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-28 00:15:59 UTC
Type: Bug


Attachments (Terms of Use)

Description Gurenko Alex 2021-03-24 17:57:22 UTC
Description of problem: When I join the zoom meeting, first several minutes people cannot hear me as my sound comes completely distorted. This changes on its own in a few minutes and stays fine for hours, but it makes impossible to talk in the beginning of the meeting. This does not happen with calls over Chrome or Bluejeans

Version-Release number of selected component (if applicable):

$ rpm -qa | grep pipewire

pipewire0.2-libs-0.2.7-5.fc34.x86_64
pipewire-libs-0.3.24-1.fc34.i686
pipewire-0.3.24-1.fc34.i686
pipewire-alsa-0.3.24-1.fc34.i686
pipewire-libs-0.3.24-1.fc34.x86_64
pipewire-0.3.24-1.fc34.x86_64
pipewire-pulseaudio-0.3.24-1.fc34.x86_64
pipewire-alsa-0.3.24-1.fc34.x86_64
pipewire-gstreamer-0.3.24-1.fc34.x86_64
pipewire-jack-audio-connection-kit-0.3.24-1.fc34.x86_64
pipewire-utils-0.3.24-1.fc34.x86_64

How reproducible: 100%


Steps to Reproduce:
1. Join Zoom call
2. Try to talk as soon as you join


Actual results:

People cannot hear you

Expected results:

Audio works as soon as you join the meeting

I can see error in pw-top for both zoom and my input device (Jabra Speak 710)

Additional info:
S   ID  QUANT   RATE    WAIT    BUSY   W/Q   B/Q  ERR  NAME
!   49      0      0   0.0µs   0.0µs  0.00  0.00    0  alsa_output.usb-0b0e_Jabra_Speak_710_70BF920529BA012600-00.analog-stereo
50    256  48000  27.2µs   0.4µs  0.01  0.00   26  alsa_input.usb-0b0e_Jabra_Speak_710_70BF920529BA012600-00.multichannel-input
101    480  48000  12.6µs   7.1µs  0.00  0.00   39   + ZOOM VoiceEngine
51    256  48000  15.9µs   1.7µs  0.00  0.00    4  alsa_output.usb-Plantronics_Plantronics_BT600_24D31EECD1664cae80FB6734B004A4AC-00.analog-stereo
102    256  48000   7.7µs   2.5µs  0.00  0.00   13   + ZOOM VoiceEngine

Comment 1 Wim Taymans 2021-03-25 08:14:53 UTC
Fixed upstream now:

https://gitlab.freedesktop.org/pipewire/pipewire/-/issues/949

Comment 2 Fedora Update System 2021-03-25 15:28:49 UTC
FEDORA-2021-219efa2b61 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-219efa2b61

Comment 3 Fedora Update System 2021-03-26 18:34:10 UTC
FEDORA-2021-219efa2b61 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-219efa2b61`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-219efa2b61

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2021-03-28 00:15:59 UTC
FEDORA-2021-219efa2b61 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 yasharjitm10 2021-04-04 05:50:32 UTC
I can still reproduce this on the latest build of pipewire. Tested this on firefox using Google Meet and Jitsi Meet. Also tested this locally on Sound Recorder app.

Comment 6 Gurenko Alex 2021-04-04 12:26:56 UTC
I can actually say that it solved this particular issue for me. If you have a problem with audio recording with Google/Jitsi Meet, that's not this problem, please open a new BZ.


Note You need to log in before you can comment on or make changes to this bug.